Subject: Re: [PATCH v2 2/3] sha1_file: implement changes for "cat-file --literally -t"

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Mar 2015 22:25:10 -0800

karthik nayak <[email-masked]> writes:

>> Looks suspiciously familiar...
> Yes, you suggested it.
> It has a similar structure to unpack_sha1_header().
> Anything wrong with it?

I don't know if there is something wrong with the code, or not, but
it wasn't mentioned in the log message at all that it is not your
code, and I was mostly reacting to that.

It is fairly common around here to take somebody else's code and run
with it, but people say things like "This is based on suggestion
from X", "This function was stolen from Y", etc. and then conclude
with "but I adjusted it to match the caller I wrote, so bugs are
mine." when they do so.